Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Moderations

Given text and/or image inputs, classifies if those inputs are potentially harmful.

Create moderation
moderations.create(**kwargs) -> ModerationCreateResponse
POST
/moderations
Models
class Moderation: …
class ModerationCreateResponse: …

Represents if a given text input is potentially harmful.

class ModerationImageURLInput: …

An object describing an image to classify.

Literal["omni-moderation-latest", "omni-moderation-2024-09-26", "text-moderation-latest", "text-moderation-stable"]

An object describing an image to classify.

class ModerationTextInput: …

An object describing text to classify.